Bug 140712 - CAN-2004-1068 Missing serialisation in unix_dgram_recvmsg (ia64)
CAN-2004-1068 Missing serialisation in unix_dgram_recvmsg (ia64)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
impact=important,public=20041119
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 08:10 EST by Mark J. Cox (Product Security)
Modified: 2013-08-05 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 15:17:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-24 08:10:55 EST
According to isec.pl on Nov19:
        "There is a subtle race condition finally permitting a
        non-root user to increment (up to 256 times) any arbitrary
        location(s) in kernel space.  The condition is not easy to
        exploit since an attacker must trick kmalloc() to sleep on
        allocation of a special chunk of memory and then convince the
        scheduler to execute another thread. But it is feasible."

http://linux.bkbits.net:8080/linux-2.4/cset@4199284dnTPrPLR-yhP_rOBHXJlltA
Therefore fixed in 2.4.28
http://linux.bkbits.net:8080/linux-2.6/cset@419927f5Wy2IOKwcqE2S3DTNYSmCqQ
Therefore will be fixed in 2.6.10

CVE name applied for
Comment 2 John Flanagan 2004-12-13 15:17:14 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-504.html

Note You need to log in before you can comment on or make changes to this bug.